Skip to main content
PUT
/
api
/
indexes
/
{id}
Update an index
curl --request PUT \
  --url https://www.neode.ai/api/indexes/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "is_public": true,
  "preferred_predicates": [
    "<string>"
  ],
  "rules": "<string>"
}
'
{
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "is_public": true,
    "preferred_predicates": [
      "<string>"
    ],
    "rules": "<string>",
    "item_count": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key for authentication

Path Parameters

id
string<uuid>
required

Body

application/json

Fields to update on an index

name
string
description
string
is_public
boolean
preferred_predicates
string[]

Preferred predicate types for this index

rules
string

Custom rules or instructions for triple generation in this index

Response

Successfully updated

Response containing a single index

success
boolean
data
object

An index for organizing and disambiguating entities